> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Forgot Password

> Send an email to reset your password. Ensure that you have completed the configuration of the email; otherwise, your users will not receive the mail normally. Access this from **Manage** > **Workspace** > **Settings** > **Email**. <br>
To use this endpoint, the `PasswordReset` setting must be enabled in **Settings** > **Accounts** > **Registration** > **Password Reset**.

### Changelog
| Version      | Description |
| ---------------- | ------------|
|0.64.0            | Added       |

## OpenAPI

````json POST /api/v1/users.forgotPassword
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "User Management"
  },
  "servers": [
    {
      "url": "https://apiexplorer.support.rocket.chat"
    }
  ],
  "tags": [
    {
      "name": "LDAP"
    },
    {
      "name": "Permissions"
    },
    {
      "name": "Roles"
    },
    {
      "name": "Users"
    }
  ],
  "paths": {
    "/api/v1/users.forgotPassword": {
      "parameters": [],
      "post": {
        "summary": "Forgot Password",
        "operationId": "post-api-v1-users.forgotPassword",
        "responses": {
          "200": {
            "description": "",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string"
                    }
                  }
                },
                "examples": {
                  "Success Example": {
                    "value": {
                      "status": "success"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean"
                    },
                    "error": {
                      "type": "string"
                    }
                  }
                },
                "examples": {
                  "Example 1": {
                    "value": {
                      "success": "false",
                      "error": "The 'email' param is required"
                    }
                  }
                }
              }
            }
          }
        },
        "description": "Send an email to reset your password. Ensure that you have completed the configuration of the email; otherwise, your users will not receive the mail normally. Access this from **Manage** > **Workspace** > **Settings** > **Email**. <br>\nTo use this endpoint, the `PasswordReset` setting must be enabled in **Settings** > **Accounts** > **Registration** > **Password Reset**.\n\n### Changelog\n| Version      | Description |\n| ---------------- | ------------|\n|0.64.0            | Added       |",
        "parameters": [],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "email": {
                    "type": "string",
                    "description": "The email to send password reset link.",
                    "example": "email@rocket.cat"
                  }
                },
                "required": [
                  "email"
                ]
              },
              "examples": {
                "Example 1": {
                  "value": {
                    "email": "email@rocket.cat"
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Users"
        ]
      }
    }
  }
}
````

